<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: Ehrhart Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Ehrhart Class Reference</h1><!-- doxytag: class="Ehrhart" --><table border="0" cellpadding="0" cellspacing="0">
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The following are mainly for debug purposes. You shouldn't need to change anything for daily usage...</p>
<p>you may define each macro independently </p>
<ol>
<li>
define EDEBUG minimal debug </li>
<li>
define EDEBUG1 prints enumeration points </li>
<li>
define EDEBUG11 prints number of points </li>
<li>
define EDEBUG2 prints domains </li>
<li>
define EDEBUG21 prints more domains </li>
<li>
define EDEBUG3 prints systems of equations that are solved </li>
<li>
define EDEBUG4 prints message for degree reduction </li>
<li>
define EDEBUG5 prints result before simplification </li>
<li>
define EDEBUG6 prints domains in Preprocess </li>
<li>
define EDEBUG61 prints even more in Preprocess </li>
<li>
define EDEBUG62 prints domains in Preprocess2 </li>
</ol>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="ehrhart_8c_source.html">ehrhart.c</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
